[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-changelog] [xen stable-4.3] tools/hotplug: set mtu from bridge for tap interface



commit d07266e83fe6e70fa052618ed205a7ecd0ad7318
Author:     Charles Arnold <carnold@xxxxxxxx>
AuthorDate: Mon Jan 12 09:37:03 2015 -0700
Commit:     Ian Jackson <Ian.Jackson@xxxxxxxxxxxxx>
CommitDate: Mon Jan 12 17:05:46 2015 +0000

    tools/hotplug: set mtu from bridge for tap interface
    
    With changeset 22885 support was added for setting the MTU in the vif-bridge
    script for when a vif interface was set to 'online'.  The was not done for 
the
    'add' operation.  The 'add' operation was added to the script for when tap
    devices were specified (c/s 21944). With the setting of the MTU for the
    'online' case was there a reason for omitting the 'add'?
    
    This patch sets the MTU for both 'online' and 'add' in the vif-bridge 
script.
    
    Backport for Xen version 4.3.
    
    [ Removed spurious addition of blank line.
      Backport of f3f5f1927f0d (as it is in staging-4.4).  -iwj ]
    
    Signed-off-by: Charles Arnold <carnold@xxxxxxxx>
---
 tools/hotplug/Linux/vif-bridge            |    7 ++-----
 tools/hotplug/Linux/xen-network-common.sh |   10 ++++++++++
 2 files changed, 12 insertions(+), 5 deletions(-)

diff --git a/tools/hotplug/Linux/vif-bridge b/tools/hotplug/Linux/vif-bridge
index f489519..da8a0f8 100644
--- a/tools/hotplug/Linux/vif-bridge
+++ b/tools/hotplug/Linux/vif-bridge
@@ -82,11 +82,7 @@ fi
 case "$command" in
     online)
         setup_virtual_bridge_port "$dev"
-        mtu="`ip link show $bridge | awk '/mtu/ { print $5 }'`"
-        if [ -n "$mtu" ] && [ "$mtu" -gt 0 ]
-        then
-                ip link set $dev mtu $mtu || :
-        fi
+        set_mtu "$bridge" "$dev"
         add_to_bridge "$bridge" "$dev"
         ;;
 
@@ -97,6 +93,7 @@ case "$command" in
 
     add)
         setup_virtual_bridge_port "$dev"
+        set_mtu "$bridge" "$dev"
         add_to_bridge "$bridge" "$dev"
         ;;
 esac
diff --git a/tools/hotplug/Linux/xen-network-common.sh 
b/tools/hotplug/Linux/xen-network-common.sh
index 8cff156..50b8711 100644
--- a/tools/hotplug/Linux/xen-network-common.sh
+++ b/tools/hotplug/Linux/xen-network-common.sh
@@ -132,3 +132,13 @@ add_to_bridge () {
     ip link set ${dev} up
 }
 
+# Usage: set_mtu bridge dev
+set_mtu () {
+    local bridge=$1
+    local dev=$2
+    mtu="`ip link show ${bridge}| awk '/mtu/ { print $5 }'`"
+    if [ -n "$mtu" ] && [ "$mtu" -gt 0 ]
+    then
+            ip link set ${dev} mtu $mtu || :
+    fi
+}
--
generated by git-patchbot for /home/xen/git/xen.git#stable-4.3

_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.